# Defines
!define LCD_TEST_VERSION
; !define LCD_RELEASE_VERSION

!define PROJECT_FAMILY "CrossWire"
!define PROJECT_NAME "LcdBible"
!define LCD_REGKEY "SOFTWARE\${PROJECT_FAMILY}\${PROJECT_NAME}"
!define VERSION 1.5.8
!define COMPANY "CrossWire Bible Society"
!define URL http://lcdbible.sourceforge.net
!define UNINSTALL_SUBHIVE "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\${PROJECT_FAMILY}\${PROJECT_NAME}"

Name "ScrapeOffLcdBible"

OutFile "ScrapeOffLcdBible.exe"
SetCompressor lzma

CRCCheck on
AutoCloseWindow true

# Variables
Var BlowAwayGroup

; Pages
Page directory
Page components
Page instfiles

; The default installation directory
InstallDir "$PROGRAMFILES\${PROJECT_FAMILY}\${PROJECT_NAME}"
; Registry key to check for directory (so if you install again, it will overwrite the old one automatically)
; InstallDirRegKey HKLM "UNINSTALL_SUBHIVE" "InstallLocation"
InstallDirRegKey HKCU "${LCD_REGKEY}" InstallLocation

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Section "LcdBible (req s/w -- no CrossWire modules)"
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;  SetAutoClose false
  SetAutoClose false
  ;RemoveRegistryKeys:
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CrossedWires"
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CrossWire\LcdBible"
  DeleteRegKey HKCU "Software\Microsoft\Windows\CurrentVersion\Uninstall\CrossWire\LcdBible"
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\LcdBible"
  DeleteRegKey HKCU "Software\Microsoft\Windows\CurrentVersion\Uninstall\LcdBible"
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\XyzLcdBible"
  DeleteRegKey HKCU "Software\Microsoft\Windows\CurrentVersion\Uninstall\XyzLcdBible"
  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\CrossWire_LcdBible"
  DeleteRegKey HKCU "Software\Microsoft\Windows\CurrentVersion\Uninstall\CrossWire_LcdBible"
  DeleteRegKey HKLM "CrossWire\LcdBible"
  DeleteRegKey HKCU "CrossWire\LcdBible"
  DeleteRegKey HKLM "CrossedWires\LcdBible"
  DeleteRegKey HKCU "CrossedWires\LcdBible"
  DeleteRegKey HKLM "LcdBible"
  DeleteRegKey HKCU "LcdBible"
  DeleteRegKey HKLM "CrossWire_LcdBible"
  DeleteRegKey HKCU "CrossWire_LcdBible"
  DeleteRegKey HKLM "CrossedWires_LcdBible"
  DeleteRegKey HKCU "CrossedWires_LcdBible"
  DeleteRegKey HKLM "CrossedWires"
  DeleteRegKey HKCU "CrossedWires"

  DeleteRegKey HKLM "SOFTWARE\CrossWire\LcdBible"
  DeleteRegKey HKCU "SOFTWARE\CrossWire\LcdBible"
  DeleteRegKey HKLM "SOFTWARE\CrossWire\XyzLcdBible"
  DeleteRegKey HKCU "SOFTWARE\CrossWire\XyzLcdBible"
  DeleteRegKey HKLM "SOFTWARE\CrossedWires\LcdBible"
  DeleteRegKey HKCU "SOFTWARE\CrossedWires\LcdBible"
  DeleteRegKey HKLM "SOFTWARE\CrossWire_LcdBible"
  DeleteRegKey HKCU "SOFTWARE\CrossWire_LcdBible"
  DeleteRegKey HKLM "SOFTWARE\CrossWire_XyzLcdBible"
  DeleteRegKey HKCU "SOFTWARE\CrossWire_XyzLcdBible"
  DeleteRegKey HKLM "SOFTWARE\CrossedWires_LcdBible"
  DeleteRegKey HKCU "SOFTWARE\CrossedWires_LcdBible"
  DeleteRegKey HKLM "SOFTWARE\CrossedWires"
  DeleteRegKey HKCU "SOFTWARE\CrossedWires"
  DeleteRegKey HKLM "SOFTWARE\LcdBible"
  DeleteRegKey HKCU "SOFTWARE\LcdBible"
  DeleteRegKey HKLM "SOFTWARE\XyzLcdBible"
  DeleteRegKey HKCU "SOFTWARE\XyzLcdBible"
SectionEnd

Section "Optional: Delete Shortcuts and Desktop icon"
  Delete "$SMPROGRAMS\LcdBible\*.*"
  Delete "$DESKTOP\LcdBible.lnk"
  Delete "$SMPROGRAMS\CrossWire\LcdBible\*.*"
  Delete "$DESKTOP\CrossWire\LcdBible.lnk"

  Delete "$SMPROGRAMS\CrossedWires\LcdBible\*.*"
  Delete "$DESKTOP\CrossedWires\LcdBible.lnk"
  Delete "$SMPROGRAMS\CrossedWires\XyzLcdBible\*.*"
  Delete "$DESKTOP\CrossedWires\XyzLcdBible.lnk"

  Delete "$SMPROGRAMS\XyzLcdBible\*.*"
  Delete "$DESKTOP\XyzLcdBible.lnk"
  Delete "$SMPROGRAMS\CrossWire\XyzLcdBible\*.*"
  Delete "$DESKTOP\CrossWire\XyzLcdBible.lnk"
  ; remove directories used.
  RMDir /r "$SMPROGRAMS\CrossWire\LcdBible"
  RMDir /r "$SMPROGRAMS\LcdBible"
  RMDir /r "$SMPROGRAMS\CrossWire_LcdBible"
  RMDir /r "$SMPROGRAMS\CrossWire\XyzLcdBible"
  RMDir /r "$SMPROGRAMS\XyzLcdBible"
  RMDir /r "$SMPROGRAMS\CrossWire_XyzLcdBible"
  RMDir /r "$SMPROGRAMS\CrossedWires_LcdBible"
  RMDir /r "$SMPROGRAMS\CrossedWires"
SectionEnd

Section "Optional: Delete Files"
  ; remove files
  RMDir /r  $INSTDIR  ; Removes whether or not empty
  IfFileExists "$(INSTDIR)..\..\${PROJECT_FAMILY}\*.*" 0 PastDeleteCrossWire
    MessageBox MB_YESNO|MB_ICONQUESTION "Do you want to leave (not delete) the ${PROJECT_FAMILY} directory?" \
               IDYES PastDeleteCrossWire IDNO DeleteCrossWire
    DeleteCrossWire:
    RMDir /REBOOTOK /r $INSTDIR..\..\${PROJECT_FAMILY}
  PastDeleteCrossWire:
  StrCpy $BlowAwayGroup "CrossWire\LcdBible"
  Call BlowAwayDirectory
  StrCpy $BlowAwayGroup "CrossedWires"
  Call BlowAwayDirectory
  StrCpy $BlowAwayGroup "LcdBible"
  Call BlowAwayDirectory
  StrCpy $BlowAwayGroup "XyzLcdBible"
  Call BlowAwayDirectory
  StrCpy $BlowAwayGroup "CrossWire\XyzLcdBible"
  Call BlowAwayDirectory
SectionEnd

Function BlowAwayDirectory
;  MessageBox MB_YESNO|MB_ICONQUESTION "Do you want to delete the Group: << $BlowAwayGroup >> directories?" \
;             IDYES DeleteGroup IDNO PastDeleteGroup
;  DeleteGroup:
  RMDir /r $INSTDIR\..\$BlowAwayGroup  ; Removes whether or not empty
  RMDir /r "$PROGRAMFILES\$BlowAwayGroup"
  RMDir /r "X:\Temp\$BlowAwayGroup"
  RMDir /r "X:\Tmp\$BlowAwayGroup"
  RMDir /r "C:\Temp\$BlowAwayGroup"
  RMDir /r "C:\Tmp\$BlowAwayGroup"
  RMDir /r "X:\Temp\__Stage\$BlowAwayGroup"
  RMDir /r "X:\Tmp\__Stage\$BlowAwayGroup"
  RMDir /r "C:\Temp\__Stage\$BlowAwayGroup"
  RMDir /r "C:\Tmp\__Stage\$BlowAwayGroup"
  RMDir /r "X:\Temp\Stage\$BlowAwayGroup"
  RMDir /r "X:\Tmp\Stage\$BlowAwayGroup"
  RMDir /r "C:\Temp\Stage\$BlowAwayGroup"
  RMDir /r "C:\Tmp\Stage\$BlowAwayGroup"
;  PastDeleteGroup:
FunctionEnd